Package skyview.survey

# Class HipsImageFactory

java.lang.Object
skyview.survey.HipsImageFactory

All Implemented Interfaces:
  `ImageFactory`

public class HipsImageFactory extends Object implements ImageFactory
A little class that creates a HiPS image from the spell provided.

## Constructor Summary

Constructors
Constructor
Description
`HipsImageFactory()`

## Method Summary

Modifier and Type
Method
Description
`HipsImage`
`factory(String spell)`
Create a HiPS using the spell.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HipsImageFactory

public HipsImageFactory()

## Method Details

### factory

public HipsImage factory(String spell)
Create a HiPS using the spell.

Specified by:
  `factory` in interface `ImageFactory`
Parameters:
  `spell` - A string encoding the information to create the HiPS in the form hips_directory|scale where the | is used to separate the elements.
Returns: